Package org.opensaml.core.xml.schema

# Interface XSInteger

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `Iteration`, `IterationCount`, `KeyLength`, `KeySize`, `KeySize`

All Known Implementing Classes:
  `IterationCountImpl`, `IterationImpl`, `KeyLengthImpl`, `KeySizeImpl`, `KeySizeImpl`, `XSIntegerImpl`

public interface XSInteger extends XMLObject
XMLObject that represents an XML Schema Integer.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getValue()`
Gets the integer.
`void`
`setValue(Integer newValue)`
Sets the integer.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getValue

@Nullable Integer getValue()
Gets the integer.

Returns:
  the integer

### setValue

void setValue(@Nullable Integer newValue)
Sets the integer.

Parameters:
  `newValue` - the integer value